Bug 5097 - support for x86_64
: support for x86_64
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/pam0_passwdqc)
: unstable
: all Linux
: P2 normal
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2004-08-30 20:32 by
Modified: 2005-07-13 15:46 (History)


Attachments
multilib support (1.67 KB, patch)
2004-08-30 20:33, Kachalov Anton
no flags Details | Diff
wrong prev attach type (1.67 KB, application/octet-stream)
2004-08-30 20:38, Kachalov Anton
no flags Details


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2004-08-30 20:32:50
support for x86_64
------- Comment #1 From 2004-08-30 20:33:17 -------
Created an attachment (id=581) [details]
multilib support

updated warnings patch
------- Comment #2 From 2004-08-30 20:38:51 -------
Created an attachment (id=584) [details]
wrong prev attach type
------- Comment #3 From 2004-09-01 20:39:45 -------
Не понял смысл патчить passwdqc_random.c
------- Comment #4 From 2004-09-02 00:21:23 -------
У меня выдавался warning + Werror на строчку:
if (length + (end - start) >= sizeof(output) - 1) {
только что-то не тот патч попал:
-if (length + (end - start) >= sizeof(output) - 1) {
+if (length + (end - start) >= (unsigned int) sizeof(output) - 1) {
------- Comment #5 From 2005-02-03 22:48:14 -------
А как именно ругается?
------- Comment #6 From 2005-02-03 22:57:33 -------
passwdqc_random.c: In function `_passwdqc_random':
passwdqc_random.c:69: warning: comparison between signed and unsigned
------- Comment #7 From 2005-02-03 23:12:06 -------
могу сказать большее, я где-то в исходниках gcc (если не ошибаюсь), видел, что
для моей архитектуры (и не тока, вроде) sizeof может вернуть отрицательное
число
------- Comment #8 From 2005-02-04 00:16:53 -------
sizeof возвращает значение типа size_t (это такое достаточно большое целое без
знака).
Понятно, (end - start) имеет тип ptrdiff_t, который у тебя толще чем unsigned
int.  Попробуй сменить тип переменной length на size_t.
------- Comment #9 From 2005-02-04 01:43:31 -------
да, эт помогло.
- unsigned int length;
+ size_t length;

сделаешь? :)
------- Comment #10 From 2005-02-09 18:36:11 -------
Applied in -alt2.
------- Comment #11 From 2005-02-11 19:25:56 -------
thanks